com.hazelcast.org.snakeyaml.engine.v1.scanner

## Class StreamReader

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.scanner.StreamReader

-     public final class StreamReader
      extends Object

  Reader: checks if code points are in allowed range. Returns '\0' when end of data has been reached.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamReader(Reader reader, LoadSettings loadSettings)`
    `StreamReader(String stream, LoadSettings loadSettings)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forward()`
    `void` | `forward(int length)` read the next length characters and move the pointer.
    `int` | `getColumn()`
    `int` | `getIndex()`
    `int` | `getLine()`
    `Optional<Mark>` | `getMark()`
    `static boolean` | `isPrintable(int c)`
    `static boolean` | `isPrintable(String data)`
    `int` | `peek()`
    `int` | `peek(int index)` Peek the next index-th code point
    `String` | `prefix(int length)` peek the next length code points
    `String` | `prefixForward(int length)` prefix(length) immediately followed by forward(length)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamReader

          public StreamReader(Reader reader,
                              LoadSettings loadSettings)

    - #### StreamReader

          public StreamReader(String stream,
                              LoadSettings loadSettings)

  - ### Method Detail

    - #### isPrintable

          public static final boolean isPrintable(String data)

    - #### isPrintable

          public static boolean isPrintable(int c)

    - #### getMark

          public Optional<Mark> getMark()

    - #### forward

          public void forward()

    - #### forward

          public void forward(int length)

      read the next length characters and move the pointer. if the last character is high surrogate one more character will be read
      Parameters:
        `length` - amount of characters to move forward

    - #### peek

          public int peek()

    - #### peek

          public int peek(int index)

      Peek the next index-th code point
      Parameters:
        `index` - to peek
      Returns:
        the next index-th code point

    - #### prefix

          public String prefix(int length)

      peek the next length code points
      Parameters:
        `length` - amount of the characters to peek
      Returns:
        the next length code points

    - #### prefixForward

          public String prefixForward(int length)

      prefix(length) immediately followed by forward(length)
      Parameters:
        `length` - amount of characters to get
      Returns:
        the next length code points

    - #### getColumn

          public int getColumn()

    - #### getIndex

          public int getIndex()

      Returns:
        current position as number (in characters) from the beginning of the stream

    - #### getLine

          public int getLine()

Copyright © 2019. All rights reserved.